/*global styles - typography - variables*/

/*fonts---------------------------------------*/
@font-face {
	font-family: "Syncopate";
	src: url("../fonts/Syncopate-Regular.ttf") format("truetype");
	font-style: normal;
}
@font-face {
  font-family: "Syncopate";
  src: url("../fonts/Syncopate-Bold.ttf") format("truetype");
  font-style: normal;
  font-weight: 700;
}
@font-face {
    font-family: "outfit";
    src: url("../fonts/Outfit-Regular.ttf") format("truetype");
    font-style: normal;
}

/*global-style---------------------------------------*/

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.mobile {
    display: none !important; 
}
.tablet {
    display: none !important;
}
.laptop {
    display: block !important;
}

html, body {
  overflow-x: hidden;
}
main {
    background-color: #ffffff;
}
.entry-content {
    margin-top: 6rem;
}
section, div {
    transition: height 0.2s ease-in-out;
    z-index: 1;
    word-break: normal;
}
.absolute-div {
    position: absolute;
    z-index: 0;
}
hr {
    height: 0.2rem;
    background-color: black;
    border: none;
}

/*typography------------------------------------------*/
h1 {
    font-family: var(--wp--preset--font-family--syncopate);
    color: white;
    text-align: center;
    font-size: 3rem;
    margin-bottom: 3rem;
    line-height: 135%;
    transition: height 0.2s ease-in-out;
    font-weight: 400;
}
h2 {
    font-family: var(--wp--preset--font-family--syncopate);
    color: black;
    text-align: center;
    font-size: 2rem;
    margin: 6rem 0 3rem 0;
    line-height: 135%;
    font-weight: 400;
}
h3 {
    font-family: var(--wp--preset--font-family--syncopate);
    color: var(--wp--preset--color--white);
    text-align: center;
    font-size: 1.6rem;
    line-height: 135%;
    font-weight: 400;
}
p {
    color: black;
    font-family: var(--wp--preset--font-family--outfit);
    text-align: left;
    font-size: 1.1rem;
    margin-bottom: 3rem;
}
span {
    color: var(--wp--preset--color--secondary);
    font-family: var(--wp--preset--font-family--outfit);
    text-align: left;
    word-break: normal;
    font-size: 1.1rem;
}
::placeholder {
    font-family: var(--wp--preset--font-family--outfit);
    color: var(--wp--preset--color--grey);
    text-align: left;
    font-size: 1.1rem;
    opacity: 0.75;
}
li {
    color: white;
    font-family: var(--wp--preset--font-family--outfit);
    text-align: left;
    font-size: 1.1rem;
}
li.no-list {
    list-style: none;
}
a {
    color: black;
    font-family: var(--wp--preset--font-family--outfit);
    text-align: left;
    font-size: 1.1rem;
}
a:link { text-decoration: none;}
a:visited { text-decoration: none;}
a:active { text-decoration: none;}

img {
    object-fit: contain;
    max-width: 100%;
    height: auto;
    transition: height 0.2s ease-in-out;
}
.x-reflected {
    transform: scaleX(-1);
}
.wp-block-site-logo.is-default-size img {
    min-height: 3rem;
    min-width: 3rem;
    max-height: 3rem;
    max-width: 3rem;
}
.o-image {
    width: 100%;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    border-radius: 0.5rem;
}
.v-image {
    width: 100%;
    aspect-ratio: 2 / 3;
    object-fit: cover;
    border-radius: 0.5rem;
}
.q-image {
    width: 100%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    border-radius: 0.5rem;
}
.o-video {
    width: 100%;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    border-radius: 0.5rem;
}
.v-video {
    width: 100%;
    aspect-ratio: 2 / 3;
    object-fit: cover;
    border-radius: 0.5rem;
}
.icon{
    height: 1.5rem;
    width: auto;
}
.v-icon {
    width: 1.5rem;
    height: auto;
}
.big-icon {
    width: 4rem;
    height: 4rem;
}
.arrow-go.down{
    transform: scaleY(-1);
}
.arrow-go.left{
    transform: scaleX(-1);
}
.arrow-go.down.left {
  transform: scaleX(-1) scaleY(-1);
}

/*tablet------------------------------------------*/

@media (max-aspect-ratio: 4/3) {
    .laptop {
        display: none !important;
    }
    .tablet {
        display: block !important;
    }
    h1 {
    font-size: 2.4rem;
    margin-bottom: 3rem;
    }
    h2 {
    font-size: 1.8rem;
    }
    h3 {
    font-size: 1.4rem;
    }
}

/*mobile------------------------------------------*/

@media(max-aspect-ratio: 2/3) {
    /*DEFAULT-----------------------------------*/
    .tablet {
        display: none !important;
    }
    .mobile {
        display: block !important;
    } 
    h1 {
        font-size: 1.8rem;
    }
    h2 {
        font-size: 1.4rem;
        text-align: left;
    }
    h3 {
        font-size: 1rem;
    }
    p, span, ::placeholder , li, a{
    font-size: 1rem;
    }
    .big-icon {
    width: 3rem;
    height: 3rem;
    }
}